# Uses of Record Class
com.usatiuk.dhfs.jkleppmanntree.structs.JKleppmannTreePersistentData

Packages that use JKleppmannTreePersistentData
Package
Description
com.usatiuk.dhfs.jkleppmanntree
com.usatiuk.dhfs.jkleppmanntree.structs

## Uses of JKleppmannTreePersistentData in com.usatiuk.dhfs.jkleppmanntree

Methods in com.usatiuk.dhfs.jkleppmanntree with parameters of type JKleppmannTreePersistentData
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
JKleppmannTreeOpExtractor.`extractOps(JKleppmannTreePersistentData data, PeerId peerId)`

## Uses of JKleppmannTreePersistentData in com.usatiuk.dhfs.jkleppmanntree.structs

Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return JKleppmannTreePersistentData
Modifier and Type
Method
Description
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withClock(long clock)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withFrozen(boolean frozen)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withLog(org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withPeerTimestampLog(org.pcollections.PMap<PeerId,Long> peerTimestampLog)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withQueues(org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withRefsFrom(org.pcollections.PCollection<JDataRef> refs)`